Apply SSAI Transcode Profile
Push zones only. Creates/links the Combined Video Encoding Profile needed for the chosen SSAI transcoding profile. append keeps other linked Combined profiles (multiplies Video Encoding Minutes usage); replace unlinks the others.
curl -X POST "https://api.5centscdn.com/v2/zones/vod/push/42/adinsertion/transcodeprofile/apply" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/zones/vod/push/42/adinsertion/transcodeprofile/apply"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.post(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/zones/vod/push/42/adinsertion/transcodeprofile/apply", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/zones/vod/push/42/adinsertion/transcodeprofile/apply", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/zones/vod/push/42/adinsertion/transcodeprofile/apply')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"combinedId": 129017
}
/zones/vod/push/{zoneid}/adinsertion/transcodeprofile/applyTarget server for requests. Edit to use your own host.
API key (sent in header)
Zone ID
The media type of the request body
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Body
Raw application/json data
Responses
successerrorID of the (possibly newly created) Combined Video Encoding Profile now linked to the zone.